using System;

namespace Prepisivaci
{
    class Program
    {
        struct Tacka
        {
            public int X;
            public int Y;
        }
        static bool dalijetrapez(Tacka A, Tacka B, Tacka C, Tacka D)
        {
            if((Math.Abs(A.X - B.X)==Math.Abs(C.X-D.X)) && (Math.Abs(C.Y - A.Y)==Math.Abs(D.Y - B.Y)))
            {
                if(Math.Abs(A.X - B.X)*Math.Abs(C.Y-D.Y)==Math.Abs(A.Y-B.Y)*Math.Abs(C.X-D.X))
                {
                    return true;
                }
                return false;
            }
            else
            {
                return false;
            }
        }
        static void Main(string[] args)
        {
            int N = Convert.ToInt32(Console.ReadLine());
            int[] nizx = new int[N];
            int[] nizy = new int[N];
            for(int i = 0;i<N;i++)
            {
                string[] str = Console.ReadLine().Split();
                nizx[i] = int.Parse(str[0]);
                nizy[i] = int.Parse(str[1]);
            }
        }
    }
}